Subject: Re: bug#25408: Remove Decorations Around Emacs Frame (NS port)

From: Alan Third <[email-masked]>
Date: Sun, 25 Jun 2017 15:22:45 +0100

On Thu, Jun 22, 2017 at 11:10:54AM +0200, martin rudalics wrote:
> > Anything else you’d like me to look at here?
> 
> Attached find the changes I intend to push in the next few days plus a
> ChangeLog.  You will find this particular change there:
> 
> +  f->output_data.ns->left_edge_cursor = [NSCursor resizeLeftRightCursor];
> +  f->output_data.ns->top_left_corner_cursor = [NSCursor arrowCursor];
> +  f->output_data.ns->top_edge_cursor = [NSCursor resizeUpDownCursor];
> +  f->output_data.ns->top_right_corner_cursor = [NSCursor arrowCursor];
> +  f->output_data.ns->right_edge_cursor = [NSCursor resizeLeftRightCursor];
> +  f->output_data.ns->bottom_right_corner_cursor = [NSCursor arrowCursor];
> +  f->output_data.ns->bottom_edge_cursor = [NSCursor resizeUpDownCursor];
> +  f->output_data.ns->bottom_left_corner_cursor = [NSCursor arrowCursor];
> 
> It would be nice to have something better on NS for the
> top_left_corner_cursor, top_right_corner_cursor,
> bottom_right_corner_cursor and bottom_left_corner_cursor cases.

Maybe we could add a couple of custom cursors, it looks like there’s a
way to do that. Do we have a standard set of cursor images to use?

> If you want to play around with child frames, try the attached file
> my-child-frame.el.  Any feedback welcome.

I’ve just been playing about with your child frame script and I think
I’ve found a few bugs in the NS port:

It appears that making the child frame invisible ‘disconnects’ it from
the parent frame, so the next time it’s made visible it no longer
moves with the parent. I guess I’ll have to make sure that when a
frame is made visible it’s reconnected with it’s parent. Or find a way
to prevent it disconnecting. It seems a really odd thing for it to do.

Resizing the child frame with the mouse doesn’t work, is it supposed
to?

    (set-face-background 'internal-border "blue" my-child-frame)

makes me think the child frame should have a blue border, but it
doesn’t. Is that a bug?

Thanks!
-- 
Alan Third